<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper
PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
"http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.ruoyi.xq.mapper.ActivityShopMapper">


    <select id="pageApp" resultType="com.ruoyi.xq.dto.app.activity.ActivityShopAppList">
        select
            t1.id, t1.activity_code, t1.activity_text, t1.activity_banner,
            t1.start_time, t1.end_time, t1.city_code, t1.city_name,t1.activity_start_time,t1.activity_end_time,
            t1.women_max_num, t1.man_max_num, t1.join_man_price, t1.join_women_price
        from xq_activity_shop t1
        order by ABS(TIMESTAMPDIFF(MINUTE,t1.start_time, now()))
    </select>
</mapper>
